/*
 * tconsole
 * Copyright 1990 Tom Lawrence, Brown University
 * Last Modification 6/14/90
 */

#include "global.h"

/*****************************************************************
*****************************************************************/
usage()
{
	printf("\nOptions:\n\n");
	printf("-e <executable [options]>  run executable in tconsole\n");
	printf("    this must be the last option on the line\n");
	printf("-f <fontname>  use given font. Default is\n");
	printf("    /usr/lib/fonts/fixedwidthfonts/gallant.r.19\n");
	printf("-r <int>  set window height to int rows\n");
	printf("-c <int>  set window width to int columns\n");
	printf("-max      set window to max size possible for font\n");
	printf("-vb       visual bell\n");
}

/*****************************************************************
parse command line options.
*****************************************************************/
options(argc, argv)
	int argc;
	char **argv;
{

	EXEC = 0;
	FONT = "/usr/lib/fonts/fixedwidthfonts/gallant.r.19";
	MAX = 0;
	VISUAL_BELL = 0;
	default_window = 1;
	debug = 0;

	while (--argc) {
		argv++;
		if (!strcmp(*argv, "-e")) {
			if (argc > 1) {
				EXEC = &(argv[1]);
				break;
			} else {
				usage();
				exit(1);
			}
		} else if (!strcmp(*argv, "-f")) {
			if (argc > 1) {
				FONT = argv[1];
			} else {
				usage();
				exit(1);
			}
			default_window = 0;
			argc--;
			argv++;
		} else if (!strcmp(*argv, "-c")) {
			if (argc > 1) {
				window_width_cols = atoi(argv[1]);
			} else {
				usage();
				exit(1);
			}
			default_window = 0;
			argc--;
			argv++;
		} else if (!strcmp(*argv, "-r")) {
			if (argc > 1) {
				window_height_rows = atoi(argv[1]);
			} else {
				usage();
				exit(1);
			}
			default_window = 0;
			argc--;
			argv++;
		} else if (!strcmp(*argv, "-max")) {
			MAX = 1;
			default_window = 0;
		} else if (!strcmp(*argv, "-vb")) {
			VISUAL_BELL = 1;
		} else if (!strcmp(*argv, "-d")) {
			++debug;
		} else {
			usage();
			exit(1);
		}
	}
}
